Distributor API
Update distributor webhook endpoint
Path Parameters
webhookId*string
Format
uuidHeader Parameters
SW-DISTRIBUTOR-ID*string
SW-API-KEY*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Properties
1 <= propertiesResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v1/distributors/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "SW-DISTRIBUTOR-ID: string" \ -H "SW-API-KEY: string" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "webhook": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "url": "http://example.com", "eventTypes": [ "string" ], "enabled": true, "maxAttempts": 1, "createdAt": "2019-08-24T14:15:22Z" }}